Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Sessions

Get Sessions
GET /sessions
https://api.relesysapp.net/api/v1.2/sessions
Get a list of Sessions from up to 30 days.

Time Interval:
 All data returned is in a max interval of 30 days
Department Type:
 "Company", "Country", "Department", "District", "Division", "Other", "Partner", "Region", "Store", "Subdepartment"
Scopes: relesys.api, relesys.api:read, relesys.api.insights, relesys.api.insights:read
Query String
departmentId string / guid Filterable optional
departmentType string Filterable optional
startTime datetimeoffset Filterable required
subDepartments boolean Filterable optional
userId string / guid Filterable optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 250 optional
Responses
application/json
JSON
{"count":2,"data":[{"userId":"be0b04e8-c10e-4971-8f3d-276397b8700b","departmentId":"40cbf18d-96bb-4e10-9f57-ec888b542185","startTime":"2026-04-30T17:49:48.0919773+00:00","duration":"10.00:00:00"},{"userId":"f0673287-d254-4863-a4a5-11413bc30769","departmentId":"511a806d-4041-4721-9a37-b9152c9e9686","startTime":"2026-04-30T17:49:48.0919773+00:00","duration":"5.00:00:00"}]}
object
  count integer      
  data array[object]      
   departmentId string / guid      
   duration timespan      
   startTime datetimeoffset      
   userId string / guid      
  nextUrl string      
  previousUrl string